<?php
if ( ! defined( 'WPINC' ) ) exit;
function ejag_RegisterAjax($name, $fn, $public=true){add_action('wp_ajax_'.$name, $fn); if($public)add_action('wp_ajax_nopriv_'.$name, $fn);}



function ejag_AJAX_Save_Goals(){
	$toreturn = ["status" => true];

	$goals = isset($_POST['goals']) ? json_decode(stripslashes($_POST['goals'])) : [];
	$types = Easy_Javascript_Analytics_Goals::getTypes();

	$to_save = [];

	foreach($goals as $goal){
		$g = [];
		$g['description'] = isset($goal->description) && trim($goal->description) != '' ? sanitize_text_field($goal->description) : "";
		$g['type'] = isset($goal->type) && array_key_exists($goal->type, $types) ? $goal->type : "";
		$g['classes'] = isset($goal->classes) && trim($goal->classes) != '' ? sanitize_text_field($goal->classes) : "";
		$g['action'] = isset($goal->action) && trim($goal->action) != '' ? sanitize_text_field($goal->action) : "";
		$g['category'] = isset($goal->category) && trim($goal->category) != '' ? sanitize_text_field($goal->category) : "";
		$g['isactive'] = isset($goal->isactive) && in_array($goal->isactive,[0,1]) ? (int)$goal->isactive : 0;


		foreach($g as $key => $value){
			if($value === ""){
				$toreturn['var'] = $key;
				$toreturn['value'] = $value;
				$toreturn['status'] = false;
				break;
			}			
		}

		$to_save[] = $g;
	}

	if($toreturn['status']){
		$toreturn['msg'] = 'tudo OK!';
		update_option('ejag_goals',json_encode($to_save));
	}
	echo json_encode($toreturn);
	wp_die();
}

ejag_RegisterAjax('ejagSaveGoals', 'ejag_AJAX_Save_Goals');