(function( ejs_analyticsgoals, $, undefined ) {

	ejs_analyticsgoals.showGoalBar = function(){
		$("#goal-bar-container").addClass("active");
	}


	ejs_analyticsgoals.hideGoalBar = function(){
		$("#goal-bar-container").removeClass("active");
	}

	ejs_analyticsgoals.saveGoals = function(){
		let goals = [];

		$('.goal').each(function(){
			var obj = $(this);
			goals.push({
				description: obj.find(".goal-description").text(),
				classes: obj.find(".goal-classes").text(),
				action: obj.find(".goal-action").text(),
				category: obj.find(".goal-category").text(),
				type: obj.find(".goal-type").attr("type"),
				isactive: obj.find(".goal-isactive").attr('status'),
				type: obj.find(".goal-type").attr('type')
			});
		});

		$.post(EJAG.url, {action: 'ejagSaveGoals',_ajax_nonce:EJAG.nonce, goals:JSON.stringify(goals)}, function(data, textStatus, xhr) {

		});

	}



	ejs_analyticsgoals.updateGoal = function(){
		let form = $("#goal-form");
		var goal = $("#goal-"+form.attr('goal-id'));

		let description = form.find(".goal-description").val();
		let classes = form.find(".goal-classes").val();
		let action = form.find(".goal-action").val();
		let category = form.find(".goal-category").val();

		if(description.trim() == "" || classes.trim() == "" || action.trim() == "" || category.trim() == ""){
			alert("Todos os campos são obrigatórios!");
			return false;
		}

		goal.find(".goal-description").text(description);
		goal.find(".goal-classes").text(classes);
		goal.find(".goal-action").text(action);
		goal.find(".goal-category").text(category);

		let status = form.find(".goal-isactive").is(':checked');
		let isactive = goal.find(".goal-isactive");
		isactive.removeClass("active");
		if(status)isactive.addClass("active");
		isactive.attr('status',status ? 1 : 0);

		var type = form.find(".goal-type").val();
		var type_text = form.find(".goal-type option:selected").text();
		goal.find('.goal-type').attr('type',type);
		goal.find('.goal-type').text(type_text);

		ejs_analyticsgoals.setTrColor();
		ejs_analyticsgoals.saveGoals();
		ejs_analyticsgoals.hideGoalBar();
	}

	ejs_analyticsgoals.addGoal = function(){
		let form = $("#goal-form");
		var total = $('.goal').length + 1;
		let tr = $('<tr />').attr('id','goal-' + total).attr('goal-id',total).addClass('goal');
		

		let description = form.find(".goal-description").val();
		let classes = form.find(".goal-classes").val();
		let action = form.find(".goal-action").val();
		let category = form.find(".goal-category").val();

		if(description.trim() == "" || classes.trim() == "" || action.trim() == "" || category.trim() == ""){
			alert("Todos os campos são obrigatórios!");
			return false;
		}


		var type = form.find(".goal-type").val();
		var type_text = form.find(".goal-type option:selected").text();

		$('<td />').addClass('row-title').html('<span class="goal-description">' + description + '</span><div class="row-actions"><span class="edit"><a class="goal-edit" href="#">Editar</a> | </span><span class="trash"><a href="#remove" class="goal-remove text-red">Remover</a></span></div>').appendTo(tr);
		$('<td />').addClass('goal-type').attr('type',type).text(type_text).appendTo(tr);
		
		$('<td />').addClass('goal-classes').html(classes).appendTo(tr);
		$('<td />').addClass('goal-action').html(action).appendTo(tr);
		$('<td />').addClass('goal-category').html(category).appendTo(tr);
		
		let status = form.find(".goal-isactive").is(':checked');

		let active = status ? "active" : "";
		let status_n = status ? 1 : 0;

		$('<td />').addClass('goal-isactive '+active).attr('status',status_n).html('<div class="goal-active">Activo</div><div class="goal-inactive">Inactivo</div>').appendTo(tr);
		
		$('.goal-table tbody').append(tr);

		ejs_analyticsgoals.setTrColor();
		ejs_analyticsgoals.saveGoals();
		ejs_analyticsgoals.hideGoalBar();
	}


	ejs_analyticsgoals.setTrColor = function(){
		var alternate = true;

		var goals = $(".goal");

		goals.removeClass('alternate');
		goals.each(function(){
			let obj = $(this);
			obj.removeClass('alternate');

			if(alternate) obj.addClass('alternate');

			alternate = !alternate;

		});
	}

	ejs_analyticsgoals.changeGoalStatus = function(obj){
		var parent = obj.parent();

		parent.toggleClass('active');
		var status = parent.hasClass('active') ? 1 : 0;

		parent.attr('status',status);
		ejs_analyticsgoals.saveGoals();
	}

	
}( window.ejs_analyticsgoals = window.ejs_analyticsgoals || {}, jQuery ));


jQuery(function($){
	ejs_analyticsgoals.setTrColor();

	$(document).on('click',".goal-cancel", function(){
		ejs_analyticsgoals.hideGoalBar();
		return false;
	});

	$(document).on('click','.goal-add', function(){
		let form = $("#goal-form");

		form.attr("goal-id",0);
		form.find(".goal-description").val("");
		form.find(".goal-classes").val("");
		form.find(".goal-action").val("");
		form.find(".goal-category").val("");
		form.find(".goal-isactive").prop("checked",false);
		ejs_analyticsgoals.showGoalBar();
		return false;
	});

	$(document).on('click','.goal-edit', function(){
		ejs_analyticsgoals.hideGoalBar();
		let obj = $(this);
		let form = $("#goal-form");
		let goal = obj.closest(".goal");

		form.attr("goal-id",goal.attr('goal-id'));
		form.find(".goal-description").val(goal.find(".goal-description").text());
		form.find(".goal-classes").val(goal.find(".goal-classes").text());
		form.find(".goal-action").val(goal.find(".goal-action").text());
		form.find(".goal-category").val(goal.find(".goal-category").text());

		let status = goal.find(".goal-isactive").attr('status') == 1;
		form.find(".goal-isactive").prop('checked',status);


		let type = goal.find(".goal-type").attr('type');
		form.find(".goal-type").val(type);


		ejs_analyticsgoals.showGoalBar();
	});

	$(document).on('click','.goal-save', function(){
		let form = $("#goal-form");
		var goal_id = form.attr('goal-id');

		if(goal_id > 0) ejs_analyticsgoals.updateGoal();
		else ejs_analyticsgoals.addGoal();
		return false;

	});
	$(document).on('click','.goal-remove', function(){
		var obj = $(this);
		var goal = obj.closest('.goal');
		var description = goal.find('.goal-description').text();
		if(confirm('Tem a certeza que quer remover o objectivo "' + description +'"?')){
			goal.remove();
			ejs_analyticsgoals.setTrColor();
			ejs_analyticsgoals.saveGoals();
		}
		return false;
	});
	$(document).on('click','.goal-table .goal-isactive div', function(){
		ejs_analyticsgoals.changeGoalStatus($(this));
		return false;
	});



});