<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.neteuro.pt
 * @since      1.0.0
 *
 * @package    Easy_Javascript_Analytics_Goals
 * @subpackage Easy_Javascript_Analytics_Goals/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->


<div class="wrap">

    <div id="icon-options-general" class="icon32"></div>
    <h1><?php esc_attr_e( 'Easy JS Analytics Goals', 'EasyJSAnalyticsGoals' ); ?></h1>

    <div id="poststuff">

        <div id="post-body" class="metabox-holder columns-1">

            <div id="post-body-content">

                <div id="analytics-goals-panel" class="wptbtab active">
                    <?php submit_button('Adicionar', $type = 'goal-add', $name = 'submit', $wrap = false, $other_attributes = NULL);?>
                    <table class="widefat goal-table">
                        <thead>
                            <tr>
                                <th class="row-title"><?php esc_attr_e( 'Descrição', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Tipo', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Classes', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Acção', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Categoria', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Estado', 'EasyJSAnalyticsGoals' ); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php

                            $count = 0;

                                $types = Easy_Javascript_Analytics_Goals::getTypes();
                                foreach($goals as $goal){
                                    $count++;
                                    ?>
                                    <tr id="goal-<?php echo esc_attr($count)?>" goal-id="<?php echo esc_attr($count)?>" class="goal">
                                        <td class="row-title">
                                            <span class="goal-description"><?php echo esc_attr($goal->description)?></span>
                                            <div class="row-actions">
                                                <span class="edit"><a class="goal-edit" href="#">Editar</a> | </span>
                                                <span class="trash"><a href="#remove" class="goal-remove text-red">Remover</a></span>
                                            </div>
                                        </td>
                                        <td class="goal-type" type="<?php echo esc_attr($goal->type)?>"><?php echo esc_attr($types[$goal->type])?></td>
                                        <td class="goal-classes"><?php echo esc_attr($goal->classes)?></td>
                                        <td class="goal-action"><?php echo esc_attr($goal->action)?></td>
                                        <td class="goal-category"><?php echo esc_attr($goal->category)?></td>
                                        <td class="goal-isactive <?php echo $goal->isactive==1 ? "active" : "" ?>" status="<?php echo esc_attr($goal->isactive)?>" >
                                            <div class="goal-active">Activo</div>
                                            <div class="goal-inactive">Inactivo</div>
                                        </td>
                                    </tr>
                                    <?php
                                }

                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th class="row-title"><?php esc_attr_e( 'Description', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Tipo', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Classes', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Action', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Category', 'EasyJSAnalyticsGoals' ); ?></th>
                                <th><?php esc_attr_e( 'Estado', 'EasyJSAnalyticsGoals' ); ?></th>
                            </tr>
                        </tfoot>
                    </table>  


                    <div id="goal-bar-container">
                        <div id="goal-bar-edit">
                            <h1>Objectivo</h1>
                            <form id="goal-form" action="#">
                                <fieldset>
                                    <legend class="screen-reader-text"><span>Activo?</span></legend>
                                    <label for="users_can_register">
                                        <input name="" type="checkbox" class="goal-isactive" value="1" />
                                        <span>Activo?</span>
                                    </label>
                                </fieldset>
                                <label>Descrição</label><br/>
                                <input type="text" value="" class="regular-text goal-description" /><br>
                                <label>Tipo</label><br/>
                                <select class="regular-text goal-type">
                                    <?php
                                    foreach($types as $key => $value){
                                        ?>
                                        <option value="<?php echo $key?>"><?php echo esc_attr($value)?></option>
                                        <?php
                                    }
                                    ?>
                                </select>
                                <br>
                                <label>Classes <small>ou tags que activam o objectivo</small></label><br/>
                                <input type="text" value="" class="regular-text code goal-classes" /><br>
                                <label>Acção <smal>(Google Analytics)</smal></label><br/>
                                <input type="text" value="" class="regular-text goal-action" /><br>
                                <label>Categoria <smal>(Google Analytics)</smal></label><br/>
                                <input type="text" value="" class="regular-text goal-category" />
                                <br><br>
                                <fieldset>
                                    <?php submit_button('Guardar', $type = 'primary goal-save', $name = 'submit', $wrap = false, $other_attributes = NULL);?>
                                    <?php submit_button('Cancelar', $type = 'goal-cancel', $name = 'cancel', $wrap = false, $other_attributes = NULL);?>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br class="clear">
    </div>
</div>