<?php

/**
 * Fired during plugin activation
 *
 * @link       https://www.neteuro.pt
 * @since      1.0.0
 *
 * @package    Easy_Javascript_Analytics_Goals
 * @subpackage Easy_Javascript_Analytics_Goals/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Easy_Javascript_Analytics_Goals
 * @subpackage Easy_Javascript_Analytics_Goals/includes
 * @author     Neteuro <dev@neteuro.pt>
 */
class Easy_Javascript_Analytics_Goals_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        $configured = get_option('ejag_configured',false); 
        if(!$configured){   
            $demo_goals = [];
            $demo_goals[] = ['description' => 'Email Link','classes' => 'a[href^="mailto:"]','action' => 'click','category' => 'mailto','type' => 'click','isactive' => 0];
            $demo_goals[] = ['description' => 'Tel Link','classes' => 'a[href^="tel:"]','action' => 'click','category' => 'call','type' => 'click','isactive' => 0];
            $demo_goals[] = ['description' => 'Form Submit','classes' => 'form','action' => 'submit','category' => 'form','type' => 'submit','isactive' => 0];
            update_option('ejag_configured',true);
        
            update_option('ejag_goals', json_encode($demo_goals));
        }
    }
}
