<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://www.neteuro.pt
 * @since      1.0.0
 *
 * @package    Easy_Javascript_Analytics_Goals
 * @subpackage Easy_Javascript_Analytics_Goals/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Easy_Javascript_Analytics_Goals
 * @subpackage Easy_Javascript_Analytics_Goals/includes
 * @author     Neteuro <dev@neteuro.pt>
 */
class Easy_Javascript_Analytics_Goals_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'easy-javascript-analytics-goals',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
